Bonuses
Esta página no está disponible en español. Se muestra la versión en inglés.
Get Bonuses
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 500Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0sort_order?string
Sorts the items in ascending or descending order
Default
"desc"Value in
- "asc"
- "desc"
sort_by?"createTime"
Sorts the items by a specified value
Default
"createTime"Value in
- "createTime"
filter?unknown
Filters the items by a specified value
Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/bonuses?limit=10&offset=0&sort_order=desc&sort_by=createTime" \ -H "accept-language: ja"{ "total": 0, "data": [ { "id": 0, "caption": "Bonus caption", "clientId": 0, "clientName": "Mary Smith", "clientEmail": "example@gmail.com", "account": "<a href=\"https://ap.vendor.com/accounts/edit/56\">2100237412</a>", "email": "<a href=\"https://ap.vendor.com/accounts/edit/56\">jepy@mailinator.com</a>", "amount": "0.000", "initialAmount": "100.00000000", "volumeComplete": "0.00", "temporaryBonus": "Bonus", "currencyExp": 0, "fictiveVolumeComplete": "1.11", "lifetime": 0, "enableAutoCredit": true, "scalpingThreshold": 1, "enableTrade": true, "disabledGroups": [ "EURJPY" ], "dynamicLots": "1.000", "status": "Expired", "activatedAt": "2022-01-01T00:00:00+00:00", "createdAt": "2022-01-01T00:00:00+00:00", "updatedAt": "2022-01-01T00:00:00+00:00", "createdBy": 123 } ]}{ "error": { "message": "Bad Request", "code": 0, "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}